This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 491218 - Cannot submit login form via keyboard using google chrome
Cannot submit login form via keyboard using google chrome
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
beta
All Windows
medium Severity medium
: 1.3
: ---
Assigned To: Ernie
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 17:29 EDT by Justin Ross
Modified: 2010-10-22 06:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-22 06:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Ross 2009-03-19 17:29:18 EDT
Using google chrome, pressing tab or return to submit login information sends the focus to another form input rather than submitting the form.

This may well be a problem with all webkit-based browsers.
Comment 1 Justin Ross 2009-03-19 17:33:36 EDT
Correction: tabbing to the submit button does work correctly.
Comment 2 Kevin Constantine 2009-03-19 17:41:46 EDT
I'm unable to tab to the submit button.  Using webkit-SVN-r41760 for the Mac.  The tab order is User Name > Password > Address Bar.

Hitting return in the password field reloads the page instead of logging in.
Comment 3 Matthew Farrellee 2009-03-19 17:50:02 EDT
I was also able to reproduce using midori, a webkit based browser.
Comment 4 Ernie 2009-03-20 10:34:16 EDT
Fixed in cumin 3184. The login form (and any other form that has an input box) should submit when the Enter key is pressed.

Note You need to log in before you can comment on or make changes to this bug.